=== debian/changelog ===
bfgminer (3.10.0-2) unstable; urgency=low

  * New patch to fix FTBFS on second build (Closes: #737678).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 10:47:06 +1100

bfgminer (3.10.0-1) unstable; urgency=low

  * New upstream release [January 2014]
    (Closes: #735918).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jan 2014 21:57:29 +1100

bfgminer (3.9.0-1) unstable; urgency=low

  * New upstream release [December 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 07 Jan 2014 20:10:44 +1100

bfgminer (3.8.1-1) unstable; urgency=low

  * New upstream release [December 2013].
  * Disabled deprecated CPU mining; updated package description and man page.
  * Removed build options that are enabled by default.
  * Build-Depends:
    + libevent-dev
    + libmicrohttpd-dev
    + libsensors4-dev [!hurd-any]
    - yasm

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2013 05:06:07 +1100

bfgminer (3.6.0-1) unstable; urgency=low

  * Initial release (Closes: #706273).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 26 Nov 2013 01:32:36 +1100
