=== debian/control ===
Source: bfgminer
Section: net
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, help2man
 ,libblkmaker-0.1-dev
 ,libcurl4-gnutls-dev | libcurl4-dev
 ,libevent-dev
 ,libjansson-dev
 ,libmicrohttpd-dev
 ,libncurses5-dev
 ,libsensors4-dev [!hurd-any]
 ,libudev-dev [!kfreebsd-any]
 ,libusb-1.0-0-dev
 ,pkg-config
 ,uthash-dev
# ,yasm
Standards-Version: 3.9.5
Homepage: https://github.com/luke-jr/bfgminer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/bfgminer.git

Package: bfgminer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ocl-icd-libopencl1, opencl-icd
Description: multi-threaded multi-pool ASIC, FPGA and GPU bitcoin miner
 Bitcoin miner software with multi-threaded multi-pool GPU, FPGA and ASIC
 mining support.
 .
 BitCoins are a digital currency, exchanged freely against
 all other currencies. Coins may be issued by everyone, one
 just needs considerable computer power - and luck. To even
 out rewards for one's contribution, many initiative have
 forms to provide pools of computers and share the load.
