=== debian/watch ===
version=3

opts="uversionmangle=s/-/./" \
 https://github.com/luke-jr/bfgminer/releases \
  .*/archive/bfgminer-(\d[\d\.]+)\.tar\.gz
