=== debian/changelog ===
bfgminer (4.4.0+dfsg-1) unstable; urgency=low

  * New upstream release [July 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Jul 2014 14:39:21 +1000

bfgminer (4.3.0+dfsg-1) unstable; urgency=low

  * New upstream release [July 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Jul 2014 08:30:47 +1000

bfgminer (4.2.0+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014] (Closes: 751655)
    + Fixed missing typecasts (Closes: #748306).
  * "debian/watch" to check upstream home page, not Github.
  * DFSG-repackaging using "Files-Excluded"; get-orig-source update.
  * Added "debian/gbp.conf".
  * Install "README.ASIC".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Jun 2014 03:08:46 +1000
