=== debian/rules ===
--- 
+++ 
@@ -45,5 +45,7 @@
 .PHONY: get-orig-source
 get-orig-source:
 	@echo "# Downloading..."
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
-
+	uscan --noconf --verbose --rename \
+              --destdir=$(CURDIR) --check-dirname-level=0 \
+              --force-download --download-version $(VER) $(DPATH) \
+              --repack --compression xz
