=== debian/changelog ===
bfgminer (4.7.0+dfsg-2) unstable; urgency=medium

  * Don't fail if `setup-vfio` do not exist (e.g. on kFreeBSD).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Sep 2014 11:57:40 +1000

bfgminer (4.7.0+dfsg-1) unstable; urgency=low

  * New upstream release [August 2014].
  * Install `setup-vfio` to "/usr/lib/bfgminer/".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Aug 2014 14:22:36 +1000
