=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	dh_auto_install
 	## remove duplicates
 	cd $(CURDIR)/debian/bfgminer/usr/share/doc/bfgminer && $(RM) -v COPYING* NEWS*
+	## move executable to private location
+	-mv -v $(CURDIR)/debian/bfgminer/usr/sbin/setup-vfio  $(CURDIR)/debian/bfgminer/usr/lib/bfgminer/
+	# Wipe empty dirs if any
+	find $(CURDIR)/debian -type d -empty -delete -printf 'removed %p\n'
 
 MAN_NAME=multi-threaded multi-pool ASIC, FPGA, GPU and CPU bitcoin miner.
 bfgminer.1:
