=== debian/watch ===
version=3

## Incomplete tarballs missing subproject files:
#opts="uversionmangle=s/-/./" \
# https://github.com/luke-jr/bfgminer/releases \
#  .*/archive/bfgminer-(\d[\d\.]+)\.tar\.gz

opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/-/./,\
downloadurlmangle=s/(\d[\d.]+)\//$1\/bfgminer-$1\.txz/,\
filenamemangle=s/.*/+dfsg.orig.tar.xz/,\
 http://luke.dashjr.org/programs/bitcoin/files/bfgminer/ (\d[\d\.]+)\/

opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/-/./,\
 http://luke.dashjr.org/programs/bitcoin/files/bfgminer/(\d[\d\.]+)\/bfgminer-(\d[\d\.]+)\.t(?:xz|bz2)
