=== debian/changelog ===
bfgminer (5.2.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:39:29 +0000

bfgminer (5.2.0+dfsg-1) unstable; urgency=low

  * New upstream release [June 2015].
  * Build-Depends:
    - libbase58-dev
    + libbase58-dev (>= 0.1.4)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Jun 2015 13:30:29 +1000

bfgminer (5.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable (Closes: #786673).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 May 2015 21:45:59 +1000

bfgminer (5.1.0+dfsg-1) experimental; urgency=low

  * New upstream release [February 2015].
  * Removed obsolete "no_blkmaker.patch".
  * Build-Depends += libbase58-dev.
  * watch: added "repacksuffix=+dfsg".
  * copyright: Files-Exclided += libbase58; cleanup.
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Apr 2015 12:47:37 +1000
