=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, help2man
+ ,libbase58-dev (>= 0.1.4)
  ,libblkmaker-0.1-dev
  ,libcurl4-gnutls-dev | libcurl4-dev
  ,libevent-dev
@@ -16,7 +17,7 @@
  ,pkg-config
  ,uthash-dev
 # ,yasm
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/luke-jr/bfgminer
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/bfgminer.git
