=== debian/changelog ===
bfgminer (5.4.2+dfsg-1build2) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:37:56 +0000

bfgminer (5.4.2+dfsg-1build1) artful; urgency=medium

  * No-change rebuild against latest libmicrohttpd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Jul 2017 13:47:53 -0400

bfgminer (5.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.8.
  * Upgraded Vcs-Browser URL.
  * Suggests += "mesa-opencl-icd".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 18:29:33 +1000
