=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bfgminer
 Section: net
 Priority: optional
-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, help2man
  ,libbase58-dev (>= 0.1.4)
@@ -17,15 +18,16 @@
  ,pkg-config
  ,uthash-dev
 # ,yasm
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/luke-jr/bfgminer
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bitcoin/bfgminer.git
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/bfgminer.git
 
 Package: bfgminer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ocl-icd-libopencl1, opencl-icd
+Suggests: mesa-opencl-icd
 Description: multi-threaded multi-pool ASIC, FPGA and GPU bitcoin miner
  Bitcoin miner software with multi-threaded multi-pool GPU, FPGA and ASIC
  mining support.
