=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,8 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{^Version:\s*([\d\.]+)}')
 .PHONY: get-orig-source
 get-orig-source:
 	@echo "# Downloading..."
