=== debian/watch ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #  .*/archive/bfgminer-(\d[\d\.]+)\.tar\.gz
 
 opts=\
+repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg//,\
 uversionmangle=s/-/./,\
 downloadurlmangle=s/(\d[\d.]+)\//$1\/bfgminer-$1\.txz/,\
@@ -13,6 +14,7 @@
  http://luke.dashjr.org/programs/bitcoin/files/bfgminer/ (\d[\d\.]+)\/
 
 opts=\
+repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg//,\
 uversionmangle=s/-/./,\
  http://luke.dashjr.org/programs/bitcoin/files/bfgminer/(\d[\d\.]+)\/bfgminer-(\d[\d\.]+)\.t(?:xz|bz2)
